Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.learning
Class AcrfSerialEvaluator

    java.lang.Object
      cc.mallet.grmm.learning.ACRFEvaluator
          cc.mallet.grmm.learning.AcrfSerialEvaluator

    public class AcrfSerialEvaluator

extends ACRFEvaluator

Created: Aug 24, 2005

Version:
  $Id: AcrfSerialEvaluator.java,v 1.1 2007/10/22 21:37:43 mccallum Exp $
Author:

  Constructor Summary
  `AcrfSerialEvaluator(java.util.List evals)`

  Method Summary
  `boolean` | `evaluate(ACRF acrf, int iter, InstanceList training, InstanceList validation, InstanceList testing)` Evalutes the model in the middle of training.
  `void` | `test(InstanceList gold, java.util.List returned, java.lang.String description)`

  Methods inherited from class cc.mallet.grmm.learning.ACRFEvaluator
  `makeOutputFile, setNumIterToSkip, setNumIterToWait, setOutputPrefix, shouldDoEvaluate, test`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### AcrfSerialEvaluator

      public AcrfSerialEvaluator(java.util.List evals)

  Method Detail

  ### evaluate

      public boolean evaluate(ACRF acrf,
                              int iter,
                              InstanceList training,
                              InstanceList validation,
                              InstanceList testing)

    Description copied from class: `ACRFEvaluator`
    Evalutes the model in the middle of training.

    Specified by:
      `evaluate` in class `ACRFEvaluator`
    Parameters:
      `acrf` - Model tha is being trained.
      `iter` - How many iterations have been completed.
      `training` - Training set.
      `validation` - Validation set; may be null.
      `testing` - Testing set; maybe null.
    Returns:
      Whether to continue training. If return is false, training should be be stopped.

  ### test

      public void test(InstanceList gold,
                       java.util.List returned,
                       java.lang.String description)

    Specified by:
      `test` in class `ACRFEvaluator`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD